{ config, pkgs, ... }:
{

services.nextcloud = {
  enable = true;
  package = pkgs.nextcloud31;
  hostName = "nextcloud.knossos";
  config.adminpassFile = "/var/lib/nextcloud-admin-pass";
  config.dbtype = "sqlite";
};


services.nginx.virtualHosts."nextcloud.knossos".listen = [ { addr = "127.0.0.1"; port = 8009; } ];

}
